## beautifulsoup4 4.0.0~b8

=== debian/changelog ===
beautifulsoup4 (4.0.0~b8-1) unstable; urgency=low

  * New upstream beta.
  * Drop all patches, no longer needed.
  * B-D on python-nose instead of python-unittest2 for tests under 2.x
  * Bump standards version to 3.9.3, no changes needed.
  * Update machine-readable copyright Format to 1.0.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 25 Feb 2012 14:11:49 +0200

beautifulsoup4 (4.0.0~b5-1) unstable; urgency=low

  * New upstream beta.
  * Refresh patches.
  * Drop failing-tests patch, incorporated upstream.
  * Patch no-install-data: Don't install documentation from setup.py.
  * Update watch file to new download location.
  * Swap alternative dependency order for html5lib | lxml, lxml is now
    preferred, upstream.
  * Build sphinx documentation.
    - New package: python-bs4-doc
    - B-D on python-sphinx.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 15 Feb 2012 19:58:57 +0200

beautifulsoup4 (4.0.0~b3-1) unstable; urgency=low

  * New upstream release with an incompatible API.
    - In a new source package, beautifulsoup4.
    - Building python-bs4 and python3-bs4
  * Update copyright years, and licence to Expatish.
  * B-D on python{,3}-lxml, python{,3}pkg-resources for unittests.
  * B-D on python-unit2 for unittests under 2.6.
    Patch unittest2.
  * B-D on python3-all for python3 package.
  * Patch failing-tests: Skip a test that's looking for a bug in HTMLParser in
    python (it fails on 2.7).
  * Recommend python-html5lib | python-lxml and python3-lxml (there's no py3k
    html5lib yet).

 -- Stefano Rivera <stefanor@debian.org>  Wed, 08 Feb 2012 12:06:52 +0200

beautifulsoup (3.2.0-2) unstable; urgency=low

  * Rebuild for Python transition.
  * Remove Breaks: ${python:Breaks}, no longer used by dh_python2.
  * Bump standards version to 3.9.2, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 14 Feb 2011 15:21:40 +0200

beautifulsoup (3.2.0-1) unstable; urgency=low

  * Adopting beautifulsoup for Debian Python Modules Team. (Closes: #612875)
  * New upstream version.
    - The 3.2 release reverts back to the 3.0 SGMLParser approach.
      (Closes: #564160, LP: #392968)
    - <script> blocks are correctly handled again
      (Closes: #516824, LP: #357067)
    - Upstream no longer ships a changelog. (Closes: #530408)
  * Bump standards version to 3.9.1. Moved into python section.
  * Switch to Source Format 3.0 (quilt).
  * Switch to dh_python2.
    - Use X-Python-Version.
  * debian/control:
    - Drop -XB-Python-Version. Deprecated.
    - Drop Provides, Replaces, Conflicts. Versioned package names for Python
      modules are deprecated. No supported releases have packages requiring
      them.
    - Add Homepage.
    - Add Vcs- URLs.
    - Recommend python-chardet.
  * Bump debhelper dependency and compat level to 8.
  * Use DEP5 format debian/copyright.
  * Add watch file. (Closes: #607864)
  * Don't install tests as an example.
  * debian/rules:
    - Use minimal dh 7 style.
    - Run test suite during build.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 14 Feb 2011 15:15:21 +0200

beautifulsoup (3.1.0.1-2) unstable; urgency=low

  * Disable installation of test scripts (Closes: #528430)

 -- Decklin Foster <decklin@red-bean.com>  Sun, 24 May 2009 15:00:59 -0400

beautifulsoup (3.1.0.1-1) unstable; urgency=low

  * New Upstream Version

 -- Decklin Foster <decklin@red-bean.com>  Tue, 06 Jan 2009 18:59:51 -0500

beautifulsoup (3.0.7-1) unstable; urgency=low

  * New upstream version, fixes UnicodeDecodeError (Closes: #483579, #479414)

 -- Decklin Foster <decklin@red-bean.com>  Mon, 30 Jun 2008 19:04:07 -0400

beautifulsoup (3.0.6-1) unstable; urgency=low

  * New upstream version (Closes: #487180)

 -- Decklin Foster <decklin@red-bean.com>  Thu, 19 Jun 2008 22:19:12 -0400

beautifulsoup (3.0.5-1) unstable; urgency=low

  * New upstream release
  * Updated debian/copyright with new license (dammit).

 -- Decklin Foster <decklin@red-bean.com>  Sun, 17 Feb 2008 17:45:34 -0500

beautifulsoup (3.0.4-1) unstable; urgency=low

  * New upstream release (Closes: #401849)
  * Remove dh_python and other cruft.

 -- Decklin Foster <decklin@red-bean.com>  Mon, 21 May 2007 13:26:19 -0400

beautifulsoup (3.0.3-1) unstable; urgency=low

  * New upstream release
    - Correctly read in keyword arguments to findAll (Closes: #418432)
  * Remove obsolete mention of separate packages built for Python 2.3 and 2.4
    from long description and Provides: (Closes: #399931, #413695)

 -- Decklin Foster <decklin@red-bean.com>  Mon, 26 Mar 2007 22:12:59 -0400

beautifulsoup (3.0.1-2) unstable; urgency=low

  * Build with python-support. No more python2.3-beautifulsoup or
    python2.4-beautifulsoup.
  * Move python from B-D-I to B-D.

 -- Decklin Foster <decklin@red-bean.com>  Sun, 18 Jun 2006 12:42:42 -0400

beautifulsoup (3.0.1-1) unstable; urgency=low

  * New upstream release
    - Fixed documentation (Closes: #349609)
  * Move debhelper from Build-Depends-Indep to Build-Depends.
  * Standards-Version: 3.7.2.

 -- Decklin Foster <decklin@red-bean.com>  Thu,  1 Jun 2006 09:49:46 -0400

beautifulsoup (2.1.1-5) unstable; urgency=low

  * Fix typo in description: (Closes: #345289)
  * Add Conflicts: on uld unsplit package (Closes: #345088)

 -- Decklin Foster <decklin@red-bean.com>  Mon,  2 Jan 2006 22:52:38 -0500

beautifulsoup (2.1.1-4) unstable; urgency=low

  * Match version in short description with long desc (Closes: #343480)

 -- Decklin Foster <decklin@red-bean.com>  Thu, 15 Dec 2005 17:02:29 -0500

beautifulsoup (2.1.1-3) unstable; urgency=low

  * Fix Description (argh).

 -- Decklin Foster <decklin@red-bean.com>  Tue, 13 Dec 2005 21:52:35 -0500

beautifulsoup (2.1.1-2) unstable; urgency=low

  * Install BeautifulSoupTests.py as an example rather than a regular doc.
  * Split python-beautifulsoup into python2.3-beautifulsoup and
    python2.4-beautifulsoup (Closes: #339997)

 -- Decklin Foster <decklin@red-bean.com>  Sat, 10 Dec 2005 11:04:56 -0500



## beautifulsoup4 4.14.2

=== doc.es/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/BeautifulSoup.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/BeautifulSoup.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/BeautifulSoup"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/BeautifulSoup"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== doc.ptbr/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/BeautifulSoup.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/BeautifulSoup.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/BeautifulSoup"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/BeautifulSoup"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## beautifulsoup4 4.0.1

=== debian/changelog ===
beautifulsoup4 (4.0.1-1) unstable; urgency=low

  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 15 Mar 2012 10:15:22 +0200

=== debian/control ===
Source: beautifulsoup4
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Stefano Rivera <stefanor@debian.org>
Build-Depends:
 debhelper (>= 8),
 python-all (>= 2.6.5-13~),
 python-lxml,
 python-nose,
 python-pkg-resources,
 python-sphinx (>= 1.0.7+dfsg),
 python3-all (>= 3.1.2),
 python3-lxml,
 python3-pkg-resources
X-Python-Version: >= 2.6
Standards-Version: 3.9.3
Homepage: http://www.crummy.com/software/BeautifulSoup
Vcs-Svn: svn://svn.debian.org/python-modules/packages/beautifulsoup4/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/beautifulsoup4/trunk/

Package: python-bs4
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Recommends: python-chardet, python-lxml | python-html5lib
Description: error-tolerant HTML parser for Python
 Beautiful Soup is a Python library for pulling data out of HTML and XML files.
 It works with your favorite parser to provide idiomatic ways of navigating,
 searching, and modifying the parse tree. It commonly saves programmers hours
 or days of work.
 .
 This package contains BeautifulSoup 4, for Python 2.x.

Package: python3-bs4
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Recommends: python3-chardet, python3-lxml
Description: error-tolerant HTML parser for Python 3
 Beautiful Soup is a Python library for pulling data out of HTML and XML files.
 It works with your favorite parser to provide idiomatic ways of navigating,
 searching, and modifying the parse tree. It commonly saves programmers hours
 or days of work.
 .
 This package contains BeautifulSoup 4, for Python 3.x.

Package: python-bs4-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: error-tolerant HTML parser for Python - documentation
 Beautiful Soup is a Python library for pulling data out of HTML and XML files.
 It works with your favorite parser to provide idiomatic ways of navigating,
 searching, and modifying the parse tree. It commonly saves programmers hours
 or days of work.
 .
 This package contains BeautifulSoup's documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYVERS   := $(shell pyversions -r)
PY3VERS  := $(shell py3versions -r)

%:
	dh $@ --with python2,python3,sphinxdoc

override_dh_auto_build:
	set -xe; \
	for py in $(PYVERS) $(PY3VERS); do \
		$$py setup.py build; \
	done
	sphinx-build -aEN -b html -d build/doctrees doc/source build/html

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -xe; \
	export PYTHONPATH=.; \
	for py in $(PYVERS); do \
		$$py /usr/bin/nosetests; \
	done
	set -xe; \
	cd build/lib; \
	export PYTHONPATH=.; \
	for py in $(PY3VERS); do \
		$$py -m unittest discover -s bs4; \
	done
endif

override_dh_auto_install:
	set -xe; \
	for py in $(PYVERS); do \
		$$py setup.py install --skip-build --root debian/python-bs4 \
			--install-layout deb; \
	done
	set -xe; \
	for py in $(PY3VERS); do \
		$$py setup.py install --skip-build --root debian/python3-bs4 \
			--install-layout deb; \
	done

override_dh_installchangelogs:
	dh_installchangelogs NEWS.txt

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build

## beautifulsoup4 4.0.2

=== debian/changelog ===
beautifulsoup4 (4.0.2-1) unstable; urgency=low

  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 02 Apr 2012 21:07:58 +0200

## beautifulsoup4 4.1.0

=== debian/changelog ===
beautifulsoup4 (4.1.0-1) unstable; urgency=low

  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 03 Jun 2012 09:57:29 +0100

beautifulsoup4 (4.0.5-1) unstable; urgency=low

  * New upstream release.
  * Use nose for python3 tests too.
    - B-D on python3-nose.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 28 Apr 2012 14:42:27 +0200

beautifulsoup4 (4.0.3-1) unstable; urgency=low

  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 08 Apr 2012 23:34:57 +0200

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
  python-sphinx (>= 1.0.7+dfsg),
  python3-all (>= 3.1.2),
  python3-lxml,
+ python3-nose,
  python3-pkg-resources
 X-Python-Version: >= 2.6
 Standards-Version: 3.9.3

=== debian/rules ===
#!/usr/bin/make -f

PYVERS   := $(shell pyversions -rv)
PY3VERS  := $(shell py3versions -rv)

include /usr/share/python/python.mk

%:
	dh $@ --with python2,python3,sphinxdoc

override_dh_auto_build:
	set -xe; \
	for py in $(PYVERS) $(PY3VERS); do \
		python$$py setup.py build; \
	done
	sphinx-build -aEN -b html -d build/doctrees doc/source build/html

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -xe; \
	for py in $(PYVERS); do \
		nosetests-$$py -w $(call py_builddir_sh,$$py); \
	done
endif

override_dh_auto_install:
	set -xe; \
	for py in $(PYVERS); do \
		python$$py setup.py install --skip-build --root debian/python-bs4 \
			--install-layout deb; \
	done
	set -xe; \
	for py in $(PY3VERS); do \
		python$$py setup.py install --skip-build --root debian/python3-bs4 \
			--install-layout deb; \
	done

override_dh_installchangelogs:
	dh_installchangelogs NEWS.txt

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build

## beautifulsoup4 4.1.2

=== debian/changelog ===
beautifulsoup4 (4.1.2-1) experimental; urgency=low

  * New upstream release.
  * Upload to experimental, as Debian is frozen for wheezy.
  * Bump Standards-Version to 3.9.4.
    - Bump debhelper dependency to 8.1 for build-{arch,indep} support.
  * Patch python2.6-compat: Disable a 2.6-incompatible test under python 2.6

 -- Stefano Rivera <stefanor@debian.org>  Sat, 10 Nov 2012 17:55:49 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends:
- debhelper (>= 8),
+ debhelper (>= 8.1),
  python-all (>= 2.6.5-13~),
  python-lxml,
  python-nose,
@@ -15,7 +15,7 @@
  python3-nose,
  python3-pkg-resources
 X-Python-Version: >= 2.6
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://www.crummy.com/software/BeautifulSoup
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/beautifulsoup4/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/beautifulsoup4/trunk/

## beautifulsoup4 4.2.0

=== debian/changelog ===
beautifulsoup4 (4.2.0-2) unstable; urgency=low

  * Depend on python{,3}-lxml in autopkgtests.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 26 May 2013 11:33:30 +0200

beautifulsoup4 (4.2.0-1) unstable; urgency=low

  [ Stefano Rivera ]
  * New upstream release.
  * Upload to unstable, wheezy released.
  * Drop all patches, superseded upstream.
  * Bump copyright years.
  * Add autopkgtests.
  * Run unit tests against python3.

  [ Dmitry Shachnev ]
  * Use /usr/bin/nosetests3 instead of /usr/bin/nosetests-3.X in
    autopkgtests.

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 25 May 2013 21:27:22 +0200

=== debian/control ===
--- 
+++ 
@@ -17,8 +17,9 @@
 X-Python-Version: >= 2.6
 Standards-Version: 3.9.4
 Homepage: http://www.crummy.com/software/BeautifulSoup
-Vcs-Svn: svn://svn.debian.org/python-modules/packages/beautifulsoup4/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/beautifulsoup4/trunk/
+Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/beautifulsoup4/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/beautifulsoup4/trunk/
+XS-Testsuite: autopkgtest
 
 Package: python-bs4
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,11 @@
 	for py in $(PYVERS); do \
 		nosetests-$$py -w $(call py_builddir_sh,$$py); \
 	done
+	# build_py_2to3 builds to build/lib, urgh
+	set -xe; \
+	for py in $(PY3VERS); do \
+		python$$py /usr/bin/nosetests3 build/lib; \
+	done
 endif
 
 override_dh_auto_install:

=== debian/tests/control ===
Tests: unittests
Depends: python-bs4, python-all, python-nose, python-lxml

Tests: unittests3
Depends: python3-bs4, python3-all, python3-nose, python3-lxml

## beautifulsoup4 4.2.1

=== debian/changelog ===
beautifulsoup4 (4.2.1-1ubuntu2) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:46:15 +0000

beautifulsoup4 (4.2.1-1ubuntu1) trusty; urgency=low

  * debian/control, debian/rules: Disable pypy-bs4 and Build-Depends on
    pypy since the latter is in universe, while beautifulsoup4 is being
    pulled into main via webtest.

 -- Barry Warsaw <barry@ubuntu.com>  Fri, 15 Nov 2013 09:56:34 -0500

beautifulsoup4 (4.2.1-1) unstable; urgency=low

  * New upstream release. (Closes: #716719)
    - Bugfixes, and a behaviour change in entity handling.
  * Port to dh-python.
  * Build new binary package for PyPy: pypy-bs4.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 09 Aug 2013 18:39:43 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: beautifulsoup4
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends:
  debhelper (>= 8.1),
+ dh-python,
  python-all (>= 2.6.5-13~),
  python-lxml,
- python-nose,
  python-pkg-resources,
  python-sphinx (>= 1.0.7+dfsg),
  python3-all (>= 3.1.2),
  python3-lxml,
- python3-nose,
  python3-pkg-resources
 X-Python-Version: >= 2.6
 Standards-Version: 3.9.4
@@ -32,6 +32,18 @@
  or days of work.
  .
  This package contains BeautifulSoup 4, for Python 2.x.
+
+# Package: pypy-bs4
+# Architecture: all
+# Depends: ${misc:Depends}, ${pypy:Depends}
+# Recommends: pypy-chardet, pypy-lxml | pypy-html5lib
+# Description: error-tolerant HTML parser for PyPy
+#  Beautiful Soup is a Python library for pulling data out of HTML and XML files.
+#  It works with your favorite parser to provide idiomatic ways of navigating,
+#  searching, and modifying the parse tree. It commonly saves programmers hours
+#  or days of work.
+#  .
+#  This package contains BeautifulSoup 4, for Python 2.x PyPy.
 
 Package: python3-bs4
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	sphinx-build -aEN -b html -d build/doctrees doc/source build/html

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build/html build/doctrees

override_dh_installchangelogs:
	dh_installchangelogs NEWS.txt

## beautifulsoup4 4.3.2

=== debian/changelog ===
beautifulsoup4 (4.3.2-2ubuntu4) wily; urgency=medium

  * Re-enable the pypy-bs4 package.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 10 Sep 2015 16:41:25 +0200

beautifulsoup4 (4.3.2-2ubuntu3) wily; urgency=medium

  * d/patches/python3.5-compat: Upstream unreleased patch for Python 3.5
    compatibility.

 -- Barry Warsaw <barry@ubuntu.com>  Thu, 02 Jul 2015 15:45:09 -0400

beautifulsoup4 (4.3.2-2ubuntu2) vivid; urgency=medium

  * Work around tests failure when chardet is installed.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 14 Nov 2014 13:49:28 +0300

beautifulsoup4 (4.3.2-2ubuntu1) vivid; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - debian/control, debian/rules: Disable pypy-bs4 and Build-Depends on pypy
      since the latter is in universe, while beautifulsoup4 is being pulled
      into main via webtest.

 -- Stefano Rivera <stefanor@ubuntu.com>  Sun, 26 Oct 2014 09:32:48 -0700

beautifulsoup4 (4.3.2-2) unstable; urgency=medium

  * Patch +python3.4-warnings: Squash new warnings under Python 3.4, fixing
    the test suite, and preparing for Python 3.5. (Closes: #765142)
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 16 Oct 2014 22:57:41 -0700

beautifulsoup4 (4.3.2-1ubuntu1) utopic; urgency=medium

  * Merge from debian. Remaining changes:
    - debian/control, debian/rules: Disable pypy-bs4 and Build-Depends on
    pypy since the latter is in universe, while beautifulsoup4 is being
    pulled into main via webtest.

 -- Jackson Doak <noskcaj@ubuntu.com>  Thu, 29 May 2014 19:50:43 +1000

beautifulsoup4 (4.3.2-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.5, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 03 May 2014 14:19:04 +0200

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
 Build-Depends:
  debhelper (>= 8.1),
  dh-python,
+ pypy (>= 1.7),
  python-all (>= 2.6.5-13~),
  python-lxml,
  python-pkg-resources,
@@ -15,7 +16,7 @@
  python3-lxml,
  python3-pkg-resources
 X-Python-Version: >= 2.6
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Homepage: http://www.crummy.com/software/BeautifulSoup
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/beautifulsoup4/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/beautifulsoup4/trunk/
@@ -33,17 +34,17 @@
  .
  This package contains BeautifulSoup 4, for Python 2.x.
 
-# Package: pypy-bs4
-# Architecture: all
-# Depends: ${misc:Depends}, ${pypy:Depends}
-# Recommends: pypy-chardet, pypy-lxml | pypy-html5lib
-# Description: error-tolerant HTML parser for PyPy
-#  Beautiful Soup is a Python library for pulling data out of HTML and XML files.
-#  It works with your favorite parser to provide idiomatic ways of navigating,
-#  searching, and modifying the parse tree. It commonly saves programmers hours
-#  or days of work.
-#  .
-#  This package contains BeautifulSoup 4, for Python 2.x PyPy.
+Package: pypy-bs4
+Architecture: all
+Depends: ${misc:Depends}, ${pypy:Depends}
+Recommends: pypy-chardet, pypy-lxml | pypy-html5lib
+Description: error-tolerant HTML parser for PyPy
+ Beautiful Soup is a Python library for pulling data out of HTML and XML files.
+ It works with your favorite parser to provide idiomatic ways of navigating,
+ searching, and modifying the parse tree. It commonly saves programmers hours
+ or days of work.
+ .
+ This package contains BeautifulSoup 4, for Python 2.x PyPy.
 
 Package: python3-bs4
 Architecture: all

## beautifulsoup4 4.4.1

=== debian/changelog ===
beautifulsoup4 (4.4.1-1) unstable; urgency=medium

  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 21 Oct 2015 15:18:27 -0700

beautifulsoup4 (4.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches, superseded upstream.
  * Build-Depend on python-setuptools + python3-setuptools.
  * Bumped copyright years.
  * Updated license to Expat. The trailing "Dammit" has been removed.
  * chardet-compatible-test.patch: Pass tests in the presence of
    python-chardet.
  * Drop XS-Testsuite control field, now unnecessary.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 20 Sep 2015 18:02:56 -0700

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,25 @@
 Source: beautifulsoup4
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends:
  debhelper (>= 8.1),
  dh-python,
  pypy (>= 1.7),
+ pypy-setuptools,
  python-all (>= 2.6.5-13~),
  python-lxml,
- python-pkg-resources,
+ python-setuptools,
  python-sphinx (>= 1.0.7+dfsg),
  python3-all (>= 3.1.2),
  python3-lxml,
- python3-pkg-resources
+ python3-setuptools
 X-Python-Version: >= 2.6
 Standards-Version: 3.9.6
 Homepage: http://www.crummy.com/software/BeautifulSoup
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/beautifulsoup4/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/beautifulsoup4/trunk/
-XS-Testsuite: autopkgtest
+Vcs-Git: git://anonscm.debian.org/python-modules/packages/beautifulsoup4.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/beautifulsoup4.git
 
 Package: python-bs4
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python2,python3,pypy,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_build:
 	dh_auto_build

=== debian/tests/control ===
Tests: unittests
Depends: python-all, python-bs4, python-lxml, python-nose (>= 1.3)

# Currently no pypy-nose (or pypy-lxml)
#Tests: unittests-pypy
#Depends: pypy, pypy-bs4, pypy-lxml, pypy-nose

Tests: unittests3
Depends: python3-all, python3-bs4, python3-lxml, python3-nose (>= 1.3)

=== debian/watch ===
version=3
opts=uversionmangle=s/([ab]\d+)/~$1/ \
http://www.crummy.com/software/BeautifulSoup/bs4/download/(\d\.\d)/beautifulsoup4-([\d.abrc]+)\.tar\.gz

## beautifulsoup4 4.5.1

=== debian/changelog ===
beautifulsoup4 (4.5.1-1) unstable; urgency=medium

  * New upstream release.
  * Switch upstream URLs to https.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 08 Aug 2016 12:23:11 -0700

beautifulsoup4 (4.5.0-1) unstable; urgency=medium

  [ Stefano Rivera ]
  * New upstream release.
  * Bump copyright years.
  * Upstream dropped Python 2.6 support.
  * Bump Standards-Version to 3.9.8, no changes needed.
  * Bump debhelper compat level to 9.

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

 -- Stefano Rivera <stefanor@debian.org>  Mon, 25 Jul 2016 16:52:52 -0700

## beautifulsoup4 4.5.3

=== debian/changelog ===
beautifulsoup4 (4.5.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump copyright years.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 08 Jan 2017 18:29:36 +1100

=== debian/control ===
--- 
+++ 
@@ -4,21 +4,21 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends:
- debhelper (>= 8.1),
+ debhelper (>= 9),
  dh-python,
  pypy (>= 1.7),
  pypy-setuptools,
- python-all (>= 2.6.5-13~),
+ python-all,
  python-lxml,
  python-setuptools,
  python-sphinx (>= 1.0.7+dfsg),
  python3-all (>= 3.1.2),
  python3-lxml,
  python3-setuptools
-X-Python-Version: >= 2.6
-Standards-Version: 3.9.6
-Homepage: http://www.crummy.com/software/BeautifulSoup
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/beautifulsoup4.git
+X-Python-Version: >= 2.7
+Standards-Version: 3.9.8
+Homepage: https://www.crummy.com/software/BeautifulSoup
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/beautifulsoup4.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/beautifulsoup4.git
 
 Package: python-bs4

## beautifulsoup4 4.6.0

=== debian/changelog ===
beautifulsoup4 (4.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards_version to 4.0.0, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 22 Jun 2017 21:38:54 -0700

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  python3-lxml,
  python3-setuptools
 X-Python-Version: >= 2.7
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://www.crummy.com/software/BeautifulSoup
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/beautifulsoup4.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/beautifulsoup4.git

## beautifulsoup4 4.6.3

=== debian/changelog ===
beautifulsoup4 (4.6.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump copyright years.
  * Upstream renamed the README.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 21 Aug 2018 14:56:56 -0700

beautifulsoup4 (4.6.1-1) unstable; urgency=medium

  [ Stefano Rivera ]
  * New upstream release.
  * Declare Rules-Requires-Root: no.
  * Bump Standards-Version to 4.2.0, no changes needed.
  * Bump debhelper compat level to 10.
  * Build Sphinx docs with Python 3.
  * Patch: Avoid 2to3 differences between Python 3.6 and 3.7.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * d/control: Remove ancient X-Python-Version field
  * Convert git repository from git-dpm to gbp layout

 -- Stefano Rivera <stefanor@debian.org>  Thu, 09 Aug 2018 16:55:46 -0700

=== debian/control ===
--- 
+++ 
@@ -4,22 +4,22 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10),
  dh-python,
  pypy (>= 1.7),
  pypy-setuptools,
  python-all,
  python-lxml,
  python-setuptools,
- python-sphinx (>= 1.0.7+dfsg),
+ python3-sphinx,
  python3-all (>= 3.1.2),
  python3-lxml,
  python3-setuptools
-X-Python-Version: >= 2.7
-Standards-Version: 4.0.0
+Standards-Version: 4.2.0
 Homepage: https://www.crummy.com/software/BeautifulSoup
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/beautifulsoup4.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/beautifulsoup4.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/beautifulsoup4.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/beautifulsoup4
+Rules-Requires-Root: no
 
 Package: python-bs4
 Architecture: all

## beautifulsoup4 4.7.1

=== debian/changelog ===
beautifulsoup4 (4.7.1-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 12 Feb 2019 00:21:48 +0200

beautifulsoup4 (4.7.1-1) unstable; urgency=medium

  * New upstream release.
  * Now depends on {python,python3,pypy}-soupsieve.
    - Tag test dependencies <!nocheck>, to keep the stack bootstrappable.
  * Bump copyright years.
  * Test with html5lib, where possible.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 02 Feb 2019 11:14:00 +0100

beautifulsoup4 (4.6.3-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 06 Jan 2019 21:07:35 +0200

beautifulsoup4 (4.6.3-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Stefano Rivera ]
  * Use pybuild's --name feature to place files in the right binary package.
  * Bump Standards-Version to 4.3.0, no changes needed.
  * Bump debhelper compat to 11.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 30 Dec 2018 19:21:18 +0100

beautifulsoup4 (4.6.3-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 26 Oct 2018 18:26:27 +0200

=== debian/control ===
--- 
+++ 
@@ -2,20 +2,25 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Stefano Rivera <stefanor@debian.org>
+Uploaders: Stefano Rivera <stefanor@debian.org>, Mattia Rizzolo <mattia@debian.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11),
  dh-python,
  pypy (>= 1.7),
  pypy-setuptools,
+ pypy-soupsieve <!nocheck>,
  python-all,
- python-lxml,
+ python-html5lib <!nocheck>,
+ python-lxml <!nocheck>,
  python-setuptools,
- python3-sphinx,
+ python-soupsieve <!nocheck>,
  python3-all (>= 3.1.2),
- python3-lxml,
- python3-setuptools
-Standards-Version: 4.2.0
+ python3-html5lib <!nocheck>,
+ python3-lxml <!nocheck>,
+ python3-setuptools,
+ python3-soupsieve <!nocheck>,
+ python3-sphinx
+Standards-Version: 4.3.0
 Homepage: https://www.crummy.com/software/BeautifulSoup
 Vcs-Git: https://salsa.debian.org/python-team/modules/beautifulsoup4.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/beautifulsoup4

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=bs4

%:
	dh $@ --with python2,python3,pypy,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	python3 -m sphinx -aEN -b html -d build/doctrees doc/source build/html

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build/html build/doctrees

override_dh_installchangelogs:
	dh_installchangelogs NEWS.txt

override_dh_installdocs:
	dh_installdocs -p python-bs4-doc --doc-main-package=python-bs4-doc
	dh_installdocs --remaining-packages

## beautifulsoup4 4.8.0

=== debian/changelog ===
beautifulsoup4 (4.8.0-2) unstable; urgency=medium

  * Patch: Fixed the definition of the default XML namespace when using lxml
    4.4. (Closes: #939457)

 -- Stefano Rivera <stefanor@debian.org>  Fri, 06 Sep 2019 15:58:05 -0300

beautifulsoup4 (4.8.0-1) unstable; urgency=medium

  [ Stefano Rivera ]
  * New upstream version.
  * Bump debhelper compat to 12.
  * Drop pypy binary package, Debian is pruning python 2 modules, where
    possible.
  * Drop patch, no longer needed, Debian doesn't support Python 3.7.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 04 Aug 2019 10:12:50 -0300

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,10 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Stefano Rivera <stefanor@debian.org>, Mattia Rizzolo <mattia@debian.org>
+Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  dh-python,
- pypy (>= 1.7),
- pypy-setuptools,
- pypy-soupsieve <!nocheck>,
  python-all,
  python-html5lib <!nocheck>,
  python-lxml <!nocheck>,
@@ -20,7 +17,7 @@
  python3-setuptools,
  python3-soupsieve <!nocheck>,
  python3-sphinx
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://www.crummy.com/software/BeautifulSoup
 Vcs-Git: https://salsa.debian.org/python-team/modules/beautifulsoup4.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/beautifulsoup4
@@ -37,18 +34,6 @@
  or days of work.
  .
  This package contains BeautifulSoup 4, for Python 2.x.
-
-Package: pypy-bs4
-Architecture: all
-Depends: ${misc:Depends}, ${pypy:Depends}
-Recommends: pypy-chardet, pypy-lxml | pypy-html5lib
-Description: error-tolerant HTML parser for PyPy
- Beautiful Soup is a Python library for pulling data out of HTML and XML files.
- It works with your favorite parser to provide idiomatic ways of navigating,
- searching, and modifying the parse tree. It commonly saves programmers hours
- or days of work.
- .
- This package contains BeautifulSoup 4, for Python 2.x PyPy.
 
 Package: python3-bs4
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export PYBUILD_NAME=bs4
 
 %:
-	dh $@ --with python2,python3,pypy,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_build:
 	dh_auto_build

## beautifulsoup4 4.8.2

=== debian/changelog ===
beautifulsoup4 (4.8.2-1) unstable; urgency=medium

  [ Stefano Rivera ]
  * New upstream release.
  * Drop patch, superseded upstream.
  * Build Portuguese and Chinese docs.
    - B-D on python3-stemmer for Portuguese Sphinx.

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 27 Dec 2019 07:07:00 +0200

=== debian/control ===
--- 
+++ 
@@ -16,8 +16,9 @@
  python3-lxml <!nocheck>,
  python3-setuptools,
  python3-soupsieve <!nocheck>,
- python3-sphinx
-Standards-Version: 4.4.0
+ python3-sphinx,
+ python3-stemmer
+Standards-Version: 4.4.1
 Homepage: https://www.crummy.com/software/BeautifulSoup
 Vcs-Git: https://salsa.debian.org/python-team/modules/beautifulsoup4.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/beautifulsoup4

=== debian/rules ===
--- 
+++ 
@@ -8,10 +8,12 @@
 override_dh_auto_build:
 	dh_auto_build
 	python3 -m sphinx -aEN -b html -d build/doctrees doc/source build/html
+	python3 -m sphinx -aEN -b html -D language=pt_BR -d build/doctrees.ptbr doc.ptbr/source build/html.ptbr
+	python3 -m sphinx -aEN -b html -D language=zh_CN -d build/doctrees.zh doc.zh/source build/html.zh
 
 override_dh_auto_clean:
 	dh_auto_clean
-	rm -rf build/html build/doctrees
+	rm -rf build
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS.txt

=== debian/tests/control ===
Tests: unittests
Depends:
 python-all,
 python-bs4,
 python-html5lib,
 python-lxml,
 python-nose (>= 1.3)

Tests: unittests3
Depends:
 python3-all,
 python3-bs4,
 python3-html5lib,
 python3-lxml,
 python3-nose (>= 1.3)

## beautifulsoup4 4.9.1

=== debian/changelog ===
beautifulsoup4 (4.9.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop patch soupsieve-2.0, superseded upstream.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 26 May 2020 09:52:57 -0700

beautifulsoup4 (4.9.0-2) unstable; urgency=medium

  * Fix test failures with soupsieve 2.0. (Closes: #958554)

 -- Stefano Rivera <stefanor@debian.org>  Thu, 30 Apr 2020 11:51:08 -0700

beautifulsoup4 (4.9.0-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright years.
  * Build ru docs.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 13 Apr 2020 10:08:27 -0700

beautifulsoup4 (4.8.2-2) unstable; urgency=medium

  [ Stefano Rivera ]
  * Bump copyright years.
  * Drop support for Python 2. (Closes: #936196)
  * Bump Standards-Version to 4.5.0, no changes needed.

 -- Sandro Tosi <morph@debian.org>  Mon, 13 Apr 2020 11:56:13 -0400

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,6 @@
 Build-Depends:
  debhelper-compat (= 12),
  dh-python,
- python-all,
- python-html5lib <!nocheck>,
- python-lxml <!nocheck>,
- python-setuptools,
- python-soupsieve <!nocheck>,
  python3-all (>= 3.1.2),
  python3-html5lib <!nocheck>,
  python3-lxml <!nocheck>,
@@ -18,23 +13,11 @@
  python3-soupsieve <!nocheck>,
  python3-sphinx,
  python3-stemmer
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://www.crummy.com/software/BeautifulSoup
 Vcs-Git: https://salsa.debian.org/python-team/modules/beautifulsoup4.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/beautifulsoup4
 Rules-Requires-Root: no
-
-Package: python-bs4
-Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}
-Recommends: python-chardet, python-lxml | python-html5lib
-Description: error-tolerant HTML parser for Python
- Beautiful Soup is a Python library for pulling data out of HTML and XML files.
- It works with your favorite parser to provide idiomatic ways of navigating,
- searching, and modifying the parse tree. It commonly saves programmers hours
- or days of work.
- .
- This package contains BeautifulSoup 4, for Python 2.x.
 
 Package: python3-bs4
 Architecture: all
